View Issue Details

IDProjectCategoryView StatusLast Update
0001722XdebugFeature/Change requestpublic2019-12-09 10:43
ReporterdevnexenAssigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.8.1 
Target Version2.9.0Fixed in Version2.9.0 
Summary0001722: Build warning issues on FreeBSD
DescriptionFew little build warning occurs with clang on FreeBSD mainly in debugger/handler_dbgp.c
TagsNo tags attached.
Operating SystemFreeBSD
PHP Version7.4.0-7.4.4

Activities

derick

2019-12-07 16:36

administrator   ~0005196

Could you share the build warnings in this report please?

devnexen

2019-12-07 17:04

reporter   ~0005197

Last edited: 2019-12-07 17:23

View 3 revisions

/home/dcarlier/Contribs/xdebug/src/debugger/handler_dbgp.c:791:37: warning: implicit conversion from 'long' to 'int' changes value from 4294967295 to -1 [-Wconstant-conversion]
                                brk_info->resolved_span.end   = XDEBUG_RESOLVED_SPAN_MAX;
                                                              ~ ^~~~~~~~~~~~~~~~~~~~~~~~
/home/dcarlier/Contribs/xdebug/src/debugger/handlers.h:96:35: note: expanded from macro 'XDEBUG_RESOLVED_SPAN_MAX'
#define XDEBUG_RESOLVED_SPAN_MAX  4294967295
...
/home/dcarlier/Contribs/xdebug/src/debugger/handler_dbgp.c:1031:21: warning: incompatible pointer types initializing 'jmp_buf *' (aka 'struct _jmp_buf (*)[1]') with an expression of type 'sigjmp_buf *' (aka 'struct _sigjmp_buf (*)[1]') [-Wincompatible-pointer-types]
        jmp_buf           *original_bailout = EG(bailout);
                           ^                  ~~~~~~~~~~~
/home/dcarlier/Contribs/xdebug/src/debugger/handler_dbgp.c:1064:14: warning: incompatible pointer types assigning to 'sigjmp_buf *' (aka 'struct _sigjmp_buf (*)[1]') from 'jmp_buf *' (aka 'struct _jmp_buf (*)[1]') [-Wincompatible-pointer-types]
        EG(bailout) = original_bailout;
                    ^ ~~~~~~~~~~~~~~~~
/home/dcarlier/Contribs/xdebug/src/debugger/handler_dbgp.c:1779:22: warning: address of array 'hash_key->key->val' will always evaluate to 'true' [-Wpointer-bool-conversion]
        if (!hash_key->key->val || hash_key->key->len == 0) { return 0; }


Issue History

Date Modified Username Field Change
2019-12-05 19:04 devnexen New Issue
2019-12-07 16:36 derick Assigned To => derick
2019-12-07 16:36 derick Status new => feedback
2019-12-07 16:36 derick Note Added: 0005196
2019-12-07 16:39 derick Product Version => 2.8.1
2019-12-07 16:39 derick Target Version => 2.9dev
2019-12-07 16:39 derick Summary Build warning issues => Build warning issues on FreeBSD
2019-12-07 16:39 derick PHP Version 7.4alpha => 7.4.0-7.4.4
2019-12-07 17:04 devnexen Note Added: 0005197
2019-12-07 17:04 devnexen Status feedback => assigned
2019-12-07 17:23 derick Note Edited: 0005197 View Revisions
2019-12-07 17:23 derick Note Edited: 0005197 View Revisions
2019-12-07 22:56 derick Status assigned => closed
2019-12-07 22:56 derick Resolution open => fixed
2019-12-07 22:56 derick Fixed in Version => 2.9.0
2019-12-09 10:43 derick Target Version 2.9dev => 2.9.0